
From: Jan Kara <jack@suse.cz>

Journalled-data files need a different set of address_space_operations, so
we need to update the file's aops when someone runs `chattr +j' on the
file.



---

 fs/ext3/inode.c |    1 +
 1 files changed, 1 insertion(+)

diff -puN fs/ext3/inode.c~ext3-chattr-aops-update fs/ext3/inode.c
--- 25/fs/ext3/inode.c~ext3-chattr-aops-update	2004-01-19 11:10:14.000000000 -0800
+++ 25-akpm/fs/ext3/inode.c	2004-01-19 11:10:29.000000000 -0800
@@ -3036,6 +3036,7 @@ int ext3_change_inode_journal_flag(struc
 		EXT3_I(inode)->i_flags |= EXT3_JOURNAL_DATA_FL;
 	else
 		EXT3_I(inode)->i_flags &= ~EXT3_JOURNAL_DATA_FL;
+	ext3_set_aops(inode);
 
 	journal_unlock_updates(journal);
 

_
